<html>
<head>
	<title>Mailformulier</title>
</head>
<body>
<?php
ini_set("SMTP", "smtp.chello.nl");
ini_set("smtp_port", 25);
ini_set ("sendmail_from", "burger@leer-php.nl");
function valid_mail ($str) {
 return  (ereg ('(^[0-9a-zA-Z_\.-]{1,}@([0-9a-zA-Z_\-]{1,}\.)+[0-9a-zA-Z_\-]{2,}$)', $str));
}
function valid_name ($str) {
 return  (ereg ('^[A-Za-z. -]+$', $str));
}

$_POST["naam"] = ucfirst($_POST["naam"]);

if ($_POST["verzendbutton"] != "verzenden" || !valid_name($_POST["naam"]) || !valid_mail($_POST["mailadres"]) || !$_POST["reactie"]) { // dus als het formulier leeg is of een van de waarden niet is ingevuld
?>
<form action="mailform4.php" method="post">
<?php
	if ($_POST["verzendbutton"] && !valid_name($_POST["naam"])) {
		echo "<font color=\"red\">Vul hier uw naam correct in!</font><br>";
}
?>
Naam: <input type="text" name="naam" value="<?php echo $_POST["naam"] ?>"><br>
<?php
	if ($_POST["verzendbutton"] && !valid_mail($_POST["mailadres"])) {
		echo "<font color=\"red\">Vul hier uw mailadres correct in!</font><br>";
}
?>
E-mail: <input type="text" name="mailadres" value="<?php echo $_POST["mailadres"] ?>"><br>
<?php
	if ($_POST["verzendbutton"] && !$_POST["reactie"]) {
		echo "<font color=\"red\">Vul hier uw reactie in!</font><br>";
}
?>
Uw reactie: <textarea cols="30" rows="4" name="reactie"><?php echo $_POST["reactie"] ?></textarea>
<input type="submit" value="verzenden" name="verzendbutton">
</form>
<?php
} else { // in alle andere gevallen (dus formulier verzonden)
	$boodschap = "Naam: ".$_POST["naam"]."\nCommentaar: ".$_POST["reactie"];
	mail($_POST["mailadres"], "Uw reactie van de website", $boodschap);
	echo "Bedankt ".$_POST["naam"].", fijn dat je mee wilde doen!";
}
?>
</body>
</html>
